Output and Viewport Resizing Functions

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Output and Viewport Resizing Functions
Evas » Canvas Functions

Functions that set and retrieve the output and viewport size of an evas. More...

## Functions
EOAPI void | evas_canvas_output_framespace_set (Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Sets the output framespace size of the render engine of the given evas. More...
EOAPI void | evas_canvas_output_framespace_get (Evas_Coord *x, Evas_Coord *y, Evas_Coord *w, Evas_Coord *h)
| Get the render engine's output framespace co-ordinates in canvas units. More...
EOAPI void | evas_canvas_output_viewport_set (Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Sets the output viewport of the given evas in evas units. More...
EOAPI void | evas_canvas_output_size_set (int w, int h)
| Sets the output size of the render engine of the given evas. More...
EOAPI void | evas_canvas_output_size_get (int *w, int *h)
| Retrieve the output size of the render engine of the given evas. More...
void | evas::canvas::output_framespace_get (Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
| Get the render engine's output framespace co-ordinates in canvas units. More...
void | evas::canvas::output_framespace_set (Evas_Coord x_, Evas_Coord y_, Evas_Coord w_, Evas_Coord h_) const
| Sets the output framespace size of the render engine of the given evas. More...
void | evas::canvas::output_viewport_set (Evas_Coord x_, Evas_Coord y_, Evas_Coord w_, Evas_Coord h_) const
| Sets the output viewport of the given evas in evas units. More...
void | evas::canvas::output_size_get (int *w_, int *h_) const
| Retrieve the output size of the render engine of the given evas. More...
void | evas::canvas::output_size_set (int w_, int h_) const
| Sets the output size of the render engine of the given evas. More...
void | evas_output_framespace_set (Evas_Canvas *obj, Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Sets the output framespace size of the render engine of the given evas. More...
void | evas_output_framespace_get (const Evas_Canvas *obj, Evas_Coord *x, Evas_Coord *y, Evas_Coord *w, Evas_Coord *h)
| Get the render engine's output framespace co-ordinates in canvas units. More...
void | evas_output_viewport_set (Evas_Canvas *obj, Evas_Coord x, Evas_Coord y, Evas_Coord w, Evas_Coord h)
| Sets the output viewport of the given evas in evas units. More...
void | evas_output_size_set (Evas_Canvas *obj, int w, int h)
| Sets the output size of the render engine of the given evas. More...
void | evas_output_size_get (const Evas_Canvas *obj, int *w, int *h)
| Retrieve the output size of the render engine of the given evas. More...

## Detailed Description

Functions that set and retrieve the output and viewport size of an evas.

## Function Documentation

EOAPI void evas_canvas_output_framespace_set | ( | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Sets the output framespace size of the render engine of the given evas.

The framespace size is used in the Wayland engines to denote space where the output is not drawn. This is mainly used in ecore_evas to draw borders

The units used for `w` and `h` depend on the engine used by the evas.

Since
  1.1

Parameters

  [in] | x | The left coordinate in output units, usually pixels.
  [in] | y | The top coordinate in output units, usually pixels.
  [in] | w | The width in output units, usually pixels.
  [in] | h | The height in output units, usually pixels.

Referenced by evas_output_framespace_set().

EOAPI void evas_canvas_output_framespace_get | ( | Evas_Coord * | x,
|  | Evas_Coord * | y,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Get the render engine's output framespace co-ordinates in canvas units.

Since
  1.1

Parameters

  [out] | x | The left coordinate in output units, usually pixels.
  [out] | y | The top coordinate in output units, usually pixels.
  [out] | w | The width in output units, usually pixels.
  [out] | h | The height in output units, usually pixels.

Referenced by evas_output_framespace_get().

EOAPI void evas_canvas_output_viewport_set | ( | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Sets the output viewport of the given evas in evas units.

The output viewport is the area of the evas that will be visible to the viewer. The viewport will be stretched to fit the output target of the evas when rendering is performed.

Note
  The coordinate values do not have to map 1-to-1 with the output target. However, it is generally advised that it is done for ease of use.

Parameters

  [in] | x | The top-left corner x value of the viewport.
  [in] | y | The top-left corner y value of the viewport.
  [in] | w | The width of the viewport. Must be greater than 0.
  [in] | h | The height of the viewport. Must be greater than 0.

Referenced by evas_output_viewport_set().

EOAPI void evas_canvas_output_size_set | ( | int | w,
|  | int | h
| ) |  |

Sets the output size of the render engine of the given evas.

The evas will render to a rectangle of the given size once this function is called. The output size is independent of the viewport size. The viewport will be stretched to fill the given rectangle.

The units used for `w` and `h` depend on the engine used by the evas.

Parameters

  [in] | w | The width in output units, usually pixels.
  [in] | h | The height in output units, usually pixels.

Referenced by evas_output_size_set().

EOAPI void evas_canvas_output_size_get | ( | int * | w,
|  | int * | h
| ) |  |

Retrieve the output size of the render engine of the given evas.

The output size is given in whatever the output units are for the engine.

If either `w` or `h` is `NULL`, then it is ignored. If `e` is invalid, the returned results are undefined.

Parameters

  [out] | w | The width in output units, usually pixels.
  [out] | h | The height in output units, usually pixels.

Referenced by evas_output_size_get().

void evas::canvas::output_framespace_get | ( | Evas_Coord * | x_,
|  | Evas_Coord * | y_,
|  | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const

Get the render engine's output framespace co-ordinates in canvas units.

Since
  1.1

Parameters

  x | The left coordinate in output units, usually pixels.
  y | The top coordinate in output units, usually pixels.
  w | The width in output units, usually pixels.
  h | The height in output units, usually pixels.

void evas::canvas::output_framespace_set | ( | Evas_Coord | x_,
|  | Evas_Coord | y_,
|  | Evas_Coord | w_,
|  | Evas_Coord | h_
| ) |  | const

Sets the output framespace size of the render engine of the given evas.

The framespace size is used in the Wayland engines to denote space where the output is not drawn. This is mainly used in ecore_evas to draw borders

The units used for `w` and `h` depend on the engine used by the evas.

Since
  1.1

Parameters

  x | The left coordinate in output units, usually pixels.
  y | The top coordinate in output units, usually pixels.
  w | The width in output units, usually pixels.
  h | The height in output units, usually pixels.

void evas::canvas::output_viewport_set | ( | Evas_Coord | x_,
|  | Evas_Coord | y_,
|  | Evas_Coord | w_,
|  | Evas_Coord | h_
| ) |  | const

Sets the output viewport of the given evas in evas units.

The output viewport is the area of the evas that will be visible to the viewer. The viewport will be stretched to fit the output target of the evas when rendering is performed.

Note
  The coordinate values do not have to map 1-to-1 with the output target. However, it is generally advised that it is done for ease of use.

Parameters

  x | The top-left corner x value of the viewport.
  y | The top-left corner y value of the viewport.
  w | The width of the viewport. Must be greater than 0.
  h | The height of the viewport. Must be greater than 0.

void evas::canvas::output_size_get | ( | int * | w_,
|  | int * | h_
| ) |  | const

Retrieve the output size of the render engine of the given evas.

The output size is given in whatever the output units are for the engine.

If either `w` or `h` is `NULL`, then it is ignored. If `e` is invalid, the returned results are undefined.

Parameters

  w | The width in output units, usually pixels.
  h | The height in output units, usually pixels.

void evas::canvas::output_size_set | ( | int | w_,
|  | int | h_
| ) |  | const

Sets the output size of the render engine of the given evas.

The evas will render to a rectangle of the given size once this function is called. The output size is independent of the viewport size. The viewport will be stretched to fill the given rectangle.

The units used for `w` and `h` depend on the engine used by the evas.

Parameters

  w | The width in output units, usually pixels.
  h | The height in output units, usually pixels.

void evas_output_framespace_set | ( | Evas_Canvas * | obj,
|  | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Sets the output framespace size of the render engine of the given evas.

The framespace size is used in the Wayland engines to denote space where the output is not drawn. This is mainly used in ecore_evas to draw borders

The units used for `w` and `h` depend on the engine used by the evas.

Since
  1.1

Parameters

  [in] | x | The left coordinate in output units, usually pixels.
  [in] | y | The top coordinate in output units, usually pixels.
  [in] | w | The width in output units, usually pixels.
  [in] | h | The height in output units, usually pixels.

References evas_canvas_output_framespace_set().

void evas_output_framespace_get | ( | const Evas_Canvas * | obj,
|  | Evas_Coord * | x,
|  | Evas_Coord * | y,
|  | Evas_Coord * | w,
|  | Evas_Coord * | h
| ) |  |

Get the render engine's output framespace co-ordinates in canvas units.

Since
  1.1

Parameters

  [out] | x | The left coordinate in output units, usually pixels.
  [out] | y | The top coordinate in output units, usually pixels.
  [out] | w | The width in output units, usually pixels.
  [out] | h | The height in output units, usually pixels.

References evas_canvas_output_framespace_get().

Referenced by ecore_evas_ews_background_set().

void evas_output_viewport_set | ( | Evas_Canvas * | obj,
|  | Evas_Coord | x,
|  | Evas_Coord | y,
|  | Evas_Coord | w,
|  | Evas_Coord | h
| ) |  |

Sets the output viewport of the given evas in evas units.

The output viewport is the area of the evas that will be visible to the viewer. The viewport will be stretched to fit the output target of the evas when rendering is performed.

Note
  The coordinate values do not have to map 1-to-1 with the output target. However, it is generally advised that it is done for ease of use.

Parameters

  [in] | x | The top-left corner x value of the viewport.
  [in] | y | The top-left corner y value of the viewport.
  [in] | w | The width of the viewport. Must be greater than 0.
  [in] | h | The height of the viewport. Must be greater than 0.

References evas_canvas_output_viewport_set().

Referenced by ecore_evas_buffer_allocfunc_new(), ecore_evas_ews_new(), and ecore_evas_object_image_new().

void evas_output_size_set | ( | Evas_Canvas * | obj,
|  | int | w,
|  | int | h
| ) |  |

Sets the output size of the render engine of the given evas.

The evas will render to a rectangle of the given size once this function is called. The output size is independent of the viewport size. The viewport will be stretched to fill the given rectangle.

The units used for `w` and `h` depend on the engine used by the evas.

Parameters

  [in] | w | The width in output units, usually pixels.
  [in] | h | The height in output units, usually pixels.

References evas_canvas_output_size_set().

Referenced by ecore_evas_buffer_allocfunc_new(), ecore_evas_ews_new(), and ecore_evas_object_image_new().

void evas_output_size_get | ( | const Evas_Canvas * | obj,
|  | int * | w,
|  | int * | h
| ) |  |

Retrieve the output size of the render engine of the given evas.

The output size is given in whatever the output units are for the engine.

If either `w` or `h` is `NULL`, then it is ignored. If `e` is invalid, the returned results are undefined.

Parameters

  [out] | w | The width in output units, usually pixels.
  [out] | h | The height in output units, usually pixels.

References evas_canvas_output_size_get().